Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
fileNamingSettings
Get file naming settings for project
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/fileNamingSettings \
  --header 'Authorization: <api-key>'
{
  "renameCompleted": true,
  "completedFilePattern": "<string>",
  "targetFolderPath": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Response

successful operation

renameCompleted
boolean
completedFilePattern
string
Maximum string length: 255
targetFolderPath
string
Maximum string length: 255